package com.ym.mec.biz.dal.entity;


import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;

/**
 * 机构云教室课程扣费记录(TenantCloudCourseRecord)表实体类
 *
 * @author hgw
 * @since 2021-12-26 21:54:10
 */
@ApiModel(value = "tenant_cloud_course_record-机构云教室课程扣费记录")
public class TenantCloudCourseRecord implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "流水id")
    private Integer id;

    @TableField("tenant_id_")
    @ApiModelProperty(value = "机构id")
    private Integer tenantId;

    @TableField("course_id_")
    @ApiModelProperty(value = "course_schedule表的id_")
    private Integer courseId;

    @TableField("deduct_state_")
    @ApiModelProperty(value = "扣费状态 0冻结 1扣费 2取消冻结 3未扣费")
    private Integer deductState;

    @TableField("amount_")
    @ApiModelProperty(value = "金额")
    private BigDecimal amount;

    @TableField("created_by_")
    @ApiModelProperty(value = "创建人")
    private Integer createdBy;

    @TableField("created_time_")
    @ApiModelProperty(value = "创建时间")
    private Date createdTime;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getTenantId() {
        return tenantId;
    }

    public void setTenantId(Integer tenantId) {
        this.tenantId = tenantId;
    }

    public Integer getCourseId() {
        return courseId;
    }

    public void setCourseId(Integer courseId) {
        this.courseId = courseId;
    }

    public Integer getDeductState() {
        return deductState;
    }

    public void setDeductState(Integer deductState) {
        this.deductState = deductState;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public Integer getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Integer createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

}

